RegistrationAction (Struts Apps - Mailreader 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.apps.mailreader.actions
Class RegistrationAction

    java.lang.Object
      org.apache.struts.action.Action
          org.apache.struts.actions.BaseAction
              org.apache.struts.actions.DispatchAction
                  org.apache.struts.actions.MappingDispatchAction
                      org.apache.struts.apps.mailreader.actions.BaseAction
                          org.apache.struts.apps.mailreader.actions.RegistrationAction

    public final class RegistrationAction

extends BaseAction

Provide an Edit method for retrieving an existing user, and a Save method for updating or inserting a user.

Both methods utilize a RegistrationForm to obtain or expose User details. If Save is used to create a user, additional validations ensure input is nominal. When a user is created, Save also handles the initial logon.

Field Summary
`static String` | `FROM_ADDRESS` Name of fromAddress field ["fromAddress"].
`static String` | `FULL_NAME` Name of fullName field ["fullName"].
`static String` | `PASSWORD2` Name of password confirmation field ["password2"].
`static String` | `REPLY_TO_ADDRESS` Name of replyToAddress field ["replyToAddress"].

Fields inherited from class org.apache.struts.apps.mailreader.actions.BaseAction
`log, PASSWORD, TASK, USERNAME`

Fields inherited from class org.apache.struts.actions.DispatchAction
`clazz, methods, types`

Fields inherited from class org.apache.struts.actions.BaseAction
`messages`

Fields inherited from class org.apache.struts.action.Action
`servlet`

Constructor Summary
`RegistrationAction()`

Method Summary
`ActionForward` | `Edit(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response)` Retrieve the User object to edit or null if the User does not exist, and set an transactional token to later detect multiple Save commands.
`ActionForward` | `Save(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response)` Insert or update a User object to the persistent store.

Methods inherited from class org.apache.struts.apps.mailreader.actions.BaseAction
`doCancel, doFindFailure, doFindLogon, doFindSuccess, doGet, doGetSubscription, doGetSubscription, doGetUser, doGetUser, doGetUserDatabase, doInputForward, doLogProcess, doSaveToken, doSaveUser, doSet`

Methods inherited from class org.apache.struts.actions.MappingDispatchAction
`execute, getMethodName, getParameter, unspecified`

Methods inherited from class org.apache.struts.actions.DispatchAction
`cancelled, dispatchMethod, getMethod`

Methods inherited from class org.apache.struts.action.Action
`addErrors, addMessages, execute, generateToken, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FROM_ADDRESS

    public static final String FROM_ADDRESS

  Name of fromAddress field ["fromAddress"].

  See Also:
    Constant Field Values

### FULL_NAME

    public static final String FULL_NAME

  Name of fullName field ["fullName"].

  See Also:
    Constant Field Values

### PASSWORD2

    public static final String PASSWORD2

  Name of password confirmation field ["password2"].

  See Also:
    Constant Field Values

### REPLY_TO_ADDRESS

    public static final String REPLY_TO_ADDRESS

  Name of replyToAddress field ["replyToAddress"].

  See Also:
    Constant Field Values

Constructor Detail

### RegistrationAction

    public RegistrationAction()

Method Detail

### Edit

    public ActionForward Edit(ActionMapping mapping,
                              ActionForm form,
                              HttpServletRequest request,
                              HttpServletResponse response)
                       throws Exception

  Retrieve the User object to edit or null if the User does not exist, and set an transactional token to later detect multiple Save commands.

  Parameters:
    `mapping` - Our ActionMapping
    `form` - Our ActionForm
    `request` - Our HttpServletRequest
    `response` - Our HttpServletResponse
  Returns:
    The "Success" result for this mapping
  Throws:
    `Exception` - on any error

### Save

    public ActionForward Save(ActionMapping mapping,
                              ActionForm form,
                              HttpServletRequest request,
                              HttpServletResponse response)
                       throws Exception

  Insert or update a User object to the persistent store.

  If a User is not logged in, then a new User is created and automatically logged in. Otherwise, the existing User is updated.

  Parameters:
    `mapping` - Our ActionMapping
    `form` - Our ActionForm
    `request` - Our HttpServletRequest
    `response` - Our HttpServletResponse
  Returns:
    The "Success" result for this mapping
  Throws:
    `Exception` - on any error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.